<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.64
Name: Results Section - coded
Description: The results section shall contain a narrative description of the relevant diagnostic procedures the patient received in the past. It shall include entries for procedures and references to procedure reports when known as described in the Entry Content Modules.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053">
   <title>Results Section - coded</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]
Item: (cdachsmcp_section_ResultsCoded)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]"
         id="d20e5945-false-d39990e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64']) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64']) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31']) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31']) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28']) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28']) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:text[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:text[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.19']]]) &gt;= 1">(cdachsmcp_section_ResultsCoded): element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.19']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64']
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64']"
         id="d20e5947-false-d40072e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.64')">(cdachsmcp_section_ResultsCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.64'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31']
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31']"
         id="d20e5952-false-d40087e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.31')">(cdachsmcp_section_ResultsCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.31'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28']
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28']"
         id="d20e5957-false-d40102e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.28')">(cdachsmcp_section_ResultsCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.28'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']"
         id="d20e5962-false-d40117e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.27')">(cdachsmcp_section_ResultsCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.27'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5967-false-d40132e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Relevant diagnostic tests/laboratory data' and @codeSystemName='LOINC')">(cdachsmcp_section_ResultsCoded): The element value SHALL be one of 'code '30954-2' codeSystem '2.16.840.1.113883.6.1' displayName='Relevant diagnostic tests/laboratory data' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:title[not(@nullFlavor)]
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:title[not(@nullFlavor)]"
         id="d20e5976-false-d40148e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="not($languageCode='ge') or (text()='Resultate')">(cdachsmcp_section_ResultsCoded): The German title must read 'Resultate'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="not($languageCode='fr') or (text()='Résultats')">(cdachsmcp_section_ResultsCoded): The French title must read 'Résultats'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="not($languageCode='en') or (text()='Results')">(cdachsmcp_section_ResultsCoded): The English title must read 'Results'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:text[not(@nullFlavor)]
Item: (cdachsmcp_section_ResultsCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:text[not(@nullFlavor)]"
         id="d20e6005-false-d40158e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_ResultsCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="not($languageCode='ge') or (text()='Keine Information zu Resultaten.') or (hl7:content/text()='Keine Information zu Resultaten.')">(cdachsmcp_section_ResultsCoded): The German text must read 'Keine Information zu Resultaten.'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="not($languageCode='fr') or (text()='Aucune information sur des résultats.') or (hl7:content/text()='Aucune information sur des résultats.')">(cdachsmcp_section_ResultsCoded): The French text must read 'Aucune information sur des résultats.'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190108T130109/tmp-2.16.756.5.30.1.1.10.3.64-2017-09-13T202053.html"
              test="not($languageCode='en') or (text()='No information on results.') or (hl7:content/text()='No information on results.')">(cdachsmcp_section_ResultsCoded): The English text must read 'No information on results.'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.64
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.64'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.31'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.28'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.27']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.4.19']]]
Item: (cdachsmcp_section_ResultsCoded)
--></pattern>
